## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class TableCheckBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.CheckboxCellEditor
              org.eclipse.datatools.sqltools.common.ui.tableviewer.TableCheckBoxCellEditor

    public class TableCheckBoxCellEditor

extends org.eclipse.jface.viewers.CheckboxCellEditor

Author:
  lihuang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`TableCheckBoxCellEditor(AccessibleTableViewer accessibleTableViewer)`
`TableCheckBoxCellEditor(AccessibleTableViewer accessibleTableViewer, int style)`

Method Summary
`void` `activate()`

Methods inherited from class org.eclipse.jface.viewers.CheckboxCellEditor
`activate`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`addListener, addPropertyChangeListener, create, deactivate, dispose, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableCheckBoxCellEditor

    public TableCheckBoxCellEditor(AccessibleTableViewer accessibleTableViewer,
                                   int style)

### TableCheckBoxCellEditor

    public TableCheckBoxCellEditor(AccessibleTableViewer accessibleTableViewer)

Method Detail

### activate

    public void activate()

  Overrides:
    `activate` in class `org.eclipse.jface.viewers.CheckboxCellEditor`